Bug 9784 - koha-shell missing from koha-common man page
Summary: koha-shell missing from koha-common man page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Liz Rea
QA Contact:
URL:
Keywords:
Depends on: 8878
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-11 07:36 UTC by Magnus Enger
Modified: 2013-12-05 20:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
bug 9784 - add koha-shell to the koha-common man page (1.19 KB, patch)
2013-03-12 21:41 UTC, Liz Rea
Details | Diff | Splinter Review
bug 9784 - add koha-shell to the koha-common man page (1.20 KB, patch)
2013-03-12 22:01 UTC, Liz Rea
Details | Diff | Splinter Review
bug 9784 - add koha-shell to the koha-common man page (1.28 KB, patch)
2013-03-12 22:46 UTC, Liz Rea
Details | Diff | Splinter Review
bug 9784 - add koha-shell to the koha-common man page (1.33 KB, patch)
2013-03-12 22:55 UTC, Robin Sheat
Details | Diff | Splinter Review
bug 9784: add koha-shell to the koha-common man page (1.39 KB, patch)
2013-03-12 23:00 UTC, Galen Charlton
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2013-03-11 07:36:04 UTC
The koha-shell command introduced by Bug 8878 should be added to the "table of contents" koha-common man page.
Comment 1 Liz Rea 2013-03-12 21:41:33 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2013-03-12 22:01:32 UTC Comment hidden (obsolete)
Comment 3 Liz Rea 2013-03-12 22:46:47 UTC Comment hidden (obsolete)
Comment 4 Robin Sheat 2013-03-12 22:55:50 UTC Comment hidden (obsolete)
Comment 5 Robin Sheat 2013-03-12 22:56:59 UTC
This is a very simple patch that only affects documentation related to packaging, it can go straight in to master.
Comment 6 Galen Charlton 2013-03-12 23:00:17 UTC
Created attachment 16084 [details] [review]
bug 9784: add koha-shell to the koha-common man page

To test:

Build a package from a git checkout with this patch included
once installed, run man koha-common - koha-shell should appear near the bottom.

Signed-off-by: Robin Sheat <robin@catalyst.net.nz>
Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Comment 7 Jared Camins-Esakov 2013-03-13 12:46:55 UTC
This patch has been pushed to master.
Comment 8 Chris Cormack 2013-03-16 23:36:37 UTC
Pushed to 3.10.x and 3.8.x will be in 3.10.4 and 3.8.11
Comment 9 Magnus Enger 2013-04-03 19:12:22 UTC
Works as expected (tested with packages built off current master).